{% extends 'index.html' %}

{% block content %}

{% if user.is_authenticated == False %}
<div class="contact-box">
  <div class="container">
    <div class="row">
      
      <div class="col-lg-12">
        <div class="heading-title text-center">
          <h2>Oops!</h2>
          <p>Silakan Log In terlebih dahulu ya untuk membuat resep!</p>
        </div>
      </div>
    </div>
  </div>
</div>
{% else %}
<div class="blog-box">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="heading-title text-center">
          <h2>Write Your Own Recipe!</h2>
          <h3>Hi, {{user.username}}</h3>
						<p>Silahkan tulis resep Anda sendiri</p>
				</div>
			</div>
        </div>
        <div class="row">
			<div class="col-sm-12">
                <form method="POST" action="" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group">
                        <label>Picture</label>
                        <br>
                        {{resepform.foto}}
                      </div>
                    <div class="form-group">
                      <label>Title</label>
                      {{resepform.nama}}
                    </div>
                    <div class="form-group">
                      <label>Description</label>
                      {{resepform.deskripsi}}
                    </div>
                    <div class="form-group">
                        <label>Portion</label>
                        {{resepform.porsi}}
                    </div>
                    <div class="form-group">
                        <label>Time</label>
                        {{resepform.durasi}}
                    </div>
                    <div class="form-group">
                        <label>Ingredients</label>
                        {{resepform.bahan}}
                      </div>
                      <div class="form-group">
                        <label>Instructions</label>
                        {{resepform.langkah}}
                      </div>
                      <button type="submit" class="btn btn-common">Submit</button>
                  </form>
			</div>
		</div>
	</div>
</div>
{% endif %}



<div><br><br><br><br><br><br><br><br><br><br><br><br><br><br><br></div>
{% endblock %}